/*
 * Support scripts for SearchControl, CallbacksControl, ...
 */

// Cache control image
var control_image = new Image;
var control_image_hilite = new Image;
control_image.src = "/images/control.gif";
control_image_hilite.src = "/images/control_hilite.gif";

var control_open_image = new Image;
var control_open_image_hilite = new Image;
control_open_image.src = "/images/control_open.gif";
control_open_image_hilite.src = "/images/control_open_hilite.gif";

/* ------------------------------------------------------------------------ */

function enter_history(s,h) {

	// Enter search s into history list h (a select list).
	// Enter only if entry not repeating last entry.
	// Enter only if entry not too large.
	// Return yes/no text indicating if s actually entered into history.

	if (s.length < 100000
	&& (h.options[0] == null || h.options[0].value != s)) {
		var t = s.replace(/\s+/g, " ");
		var newOpt = document.createElement("OPTION");
		if (t.length > 40) {
			newOpt.text = t.substr(0,36) + " ...";
		}
		else {
			newOpt.text = t.substr(0,40)
		}
		newOpt.value = s;
		if (h.options.add) {
			// IE and DOM2 method (not in Netscape 6)
			h.options.add(newOpt,0);
		} else {
			// Works in Netscape 6.
			// Only partially works in IE6 (does not display)
			h.insertBefore(newOpt,h.options[0]);
		}
		h.selectedIndex=0;

		return "yes";
	} else {
		return "no";
	}
}
