/*
 * Debug routines
 */

function debugInspect(obj) {

	// Print object attributes in a separate window.

	var name = "";
	var settings = "menubar,resizable,scrollbars,status,width=450,height=600";

	var w = window.open("", name, settings);
	var d = w.document;

	d.writeln("<html><body>");
	d.writeln("<h2>Object Inspector</h2>");

	if (!obj) {
		d.writeln("<font color='red'>");
		d.writeln("The object to inspect is not defined.");
		d.writeln("</font><br>");
		return;
	}
	if (obj.id) d.writeln("Id: <b>"+obj.id+"</b><br>");
	if (obj.name) d.writeln("Name: <b>"+obj.name+"</b><br>");
	if (obj.nodeName) d.writeln("Tag: <b>"+obj.nodeName+"</b><br>");

	debugObj(obj,d);

	d.writeln("</body></html>");
	d.close();
}

function debugObj(obj,d) {

	// Sort object properties and print them to the document d.
	// Helper function for debugInspect()

	var i = 0;
	var a = new Array;
	for (var o in obj) {
		a[i++] = o;
	}
	a.sort();
	for (i=0; i<a.length; i++) {
		if (typeof obj[a[i]] == 'function') {
			d.writeln("<br>element: "+a[i]+" = function()");
		}
		else {
			d.writeln("<br>element: "+a[i]+" = "+obj[a[i]]);
		}
	}
}
